services:
  node:
    image: 1panel/node:${NODE_VERSION}
    container_name: ${CONTAINER_NAME}
    working_dir: /app
    volumes:
      - ${CODE_DIR}:/app
      - ./run.sh:/run.sh
      - ./.env:/.env
    command: bash /run.sh
    networks:
      - icontainer-network
    ports:
      - ${HOST_IP}:${PANEL_APP_PORT_HTTP}:${NODE_APP_PORT}
    env_file:
      - ./.env
    restart: on-failure:5
    labels:
      createdBy: "icontainer"
networks:
  icontainer-network:
    external: true
